<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="ignore_8h" kind="file">
    <compoundname>ignore.h</compoundname>
    <includedby local="yes" refid="bootutil__log_8h">bootutil_log.h</includedby>
      <sectiondef kind="define">
      <memberdef id="ignore_8h_1a58035b972bccf22637817e1e28289eab" kind="define" prot="public" static="no">
        <name>IGN_1</name>
        <param><defname>X</defname></param>
        <initializer>((void)(X))</initializer>
        <briefdescription>
<para>These macros prevent the "set but not used" warnings for log writes below the log level. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="32" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="32" />
      </memberdef>
      <memberdef id="ignore_8h_1a070ddf774ae6a77994ea0020c98baaa9" kind="define" prot="public" static="no">
        <name>IGN_2</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_1(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="33" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="33" />
      </memberdef>
      <memberdef id="ignore_8h_1ad01395f868c581292b0a4926226475a0" kind="define" prot="public" static="no">
        <name>IGN_3</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_2(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="34" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="34" />
      </memberdef>
      <memberdef id="ignore_8h_1a24839230f760f5dd040b4c494aa1028b" kind="define" prot="public" static="no">
        <name>IGN_4</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_3(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="35" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="35" />
      </memberdef>
      <memberdef id="ignore_8h_1a6207b34198d60cb82067b6904864ef3a" kind="define" prot="public" static="no">
        <name>IGN_5</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_4(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="36" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="36" />
      </memberdef>
      <memberdef id="ignore_8h_1a8eb67e3c93c9783c4cf2af3948d76bc0" kind="define" prot="public" static="no">
        <name>IGN_6</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_5(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="37" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="37" />
      </memberdef>
      <memberdef id="ignore_8h_1acf771643205757da02e85e14da99fa67" kind="define" prot="public" static="no">
        <name>IGN_7</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_6(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="38" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="38" />
      </memberdef>
      <memberdef id="ignore_8h_1af12f803a5fbac5d57791517bbac2ff96" kind="define" prot="public" static="no">
        <name>IGN_8</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_7(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="39" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="39" />
      </memberdef>
      <memberdef id="ignore_8h_1a2edd4fa350e539bbfae8ceb000a7aa67" kind="define" prot="public" static="no">
        <name>IGN_9</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_8(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="40" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="40" />
      </memberdef>
      <memberdef id="ignore_8h_1a052dc54867d1cc6a5529a4d9fb97a877" kind="define" prot="public" static="no">
        <name>IGN_10</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_9(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="41" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="41" />
      </memberdef>
      <memberdef id="ignore_8h_1a00b6e07d8011c7163ae956cb32328522" kind="define" prot="public" static="no">
        <name>IGN_11</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_10(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="42" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="42" />
      </memberdef>
      <memberdef id="ignore_8h_1aa0b4d97d0a7bc2adb264ba299d7ac14c" kind="define" prot="public" static="no">
        <name>IGN_12</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_11(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="43" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="43" />
      </memberdef>
      <memberdef id="ignore_8h_1a05e3131df482cd0682a098c1eff59793" kind="define" prot="public" static="no">
        <name>IGN_13</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_12(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="44" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="44" />
      </memberdef>
      <memberdef id="ignore_8h_1a0439074a47d2df67322096737c32b2f1" kind="define" prot="public" static="no">
        <name>IGN_14</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_13(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="45" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="45" />
      </memberdef>
      <memberdef id="ignore_8h_1ac3af1113a28098e148353f36aa35f2e4" kind="define" prot="public" static="no">
        <name>IGN_15</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_14(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="46" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="46" />
      </memberdef>
      <memberdef id="ignore_8h_1a4045a3ca9acd445d87985aae60c4b546" kind="define" prot="public" static="no">
        <name>IGN_16</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_15(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="47" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="47" />
      </memberdef>
      <memberdef id="ignore_8h_1ad6ca0ca8fc11d821e2e34443eb1580ab" kind="define" prot="public" static="no">
        <name>IGN_17</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_16(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="48" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="48" />
      </memberdef>
      <memberdef id="ignore_8h_1ae0cc830995f5e8dfbae5de977786cb2b" kind="define" prot="public" static="no">
        <name>IGN_18</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_17(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="49" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="49" />
      </memberdef>
      <memberdef id="ignore_8h_1a080e572e053e0352e8bc485df5066885" kind="define" prot="public" static="no">
        <name>IGN_19</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_18(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="50" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="50" />
      </memberdef>
      <memberdef id="ignore_8h_1aa42cb732dfffd6caac178e7756023ca8" kind="define" prot="public" static="no">
        <name>IGN_20</name>
        <param><defname>X</defname></param>
        <param><defname>...</defname></param>
        <initializer>((void)(X));IGN_19(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="51" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="51" />
      </memberdef>
      <memberdef id="ignore_8h_1a134bfbf73d87f8a73c3fcf5799dc0cf6" kind="define" prot="public" static="no">
        <name>GET_MACRO</name>
        <param><defname>_1</defname></param>
        <param><defname>_2</defname></param>
        <param><defname>_3</defname></param>
        <param><defname>_4</defname></param>
        <param><defname>_5</defname></param>
        <param><defname>_6</defname></param>
        <param><defname>_7</defname></param>
        <param><defname>_8</defname></param>
        <param><defname>_9</defname></param>
        <param><defname>_10</defname></param>
        <param><defname>_11</defname></param>
        <param><defname>_12</defname></param>
        <param><defname>_13</defname></param>
        <param><defname>_14</defname></param>
        <param><defname>_15</defname></param>
        <param><defname>_16</defname></param>
        <param><defname>_17</defname></param>
        <param><defname>_18</defname></param>
        <param><defname>_19</defname></param>
        <param><defname>_20</defname></param>
        <param><defname>NAME</defname></param>
        <param><defname>...</defname></param>
        <initializer>NAME</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="53" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="54" />
      </memberdef>
      <memberdef id="ignore_8h_1a3af8fb34cb5ff338c261aa0b23ccfc40" kind="define" prot="public" static="no">
        <name>IGNORE</name>
        <param><defname>...</defname></param>
        <initializer>GET_MACRO(__VA_ARGS__, IGN_20, IGN_19, IGN_18, IGN_17, IGN_16, IGN_15, \
              IGN_14, IGN_13, IGN_12, IGN_11, IGN_10, IGN_9, IGN_8, IGN_7, \
              IGN_6, IGN_5, IGN_4, IGN_3, IGN_2, IGN_1)(__VA_ARGS__)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" bodystart="55" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" line="55" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />Licensed<sp />to<sp />the<sp />Apache<sp />Software<sp />Foundation<sp />(ASF)<sp />under<sp />one</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*<sp />or<sp />more<sp />contributor<sp />license<sp />agreements.<sp /><sp />See<sp />the<sp />NOTICE<sp />file</highlight></codeline>
<codeline lineno="4"><highlight class="comment"><sp />*<sp />distributed<sp />with<sp />this<sp />work<sp />for<sp />additional<sp />information</highlight></codeline>
<codeline lineno="5"><highlight class="comment"><sp />*<sp />regarding<sp />copyright<sp />ownership.<sp /><sp />The<sp />ASF<sp />licenses<sp />this<sp />file</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*<sp />to<sp />you<sp />under<sp />the<sp />Apache<sp />License,<sp />Version<sp />2.0<sp />(the</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*<sp />"License");<sp />you<sp />may<sp />not<sp />use<sp />this<sp />file<sp />except<sp />in<sp />compliance</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*<sp />with<sp />the<sp />License.<sp /><sp />You<sp />may<sp />obtain<sp />a<sp />copy<sp />of<sp />the<sp />License<sp />at</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="10"><highlight class="comment"><sp />*<sp /><sp />http://www.apache.org/licenses/LICENSE-2.0</highlight></codeline>
<codeline lineno="11"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="12"><highlight class="comment"><sp />*<sp />Unless<sp />required<sp />by<sp />applicable<sp />law<sp />or<sp />agreed<sp />to<sp />in<sp />writing,</highlight></codeline>
<codeline lineno="13"><highlight class="comment"><sp />*<sp />software<sp />distributed<sp />under<sp />the<sp />License<sp />is<sp />distributed<sp />on<sp />an</highlight></codeline>
<codeline lineno="14"><highlight class="comment"><sp />*<sp />"AS<sp />IS"<sp />BASIS,<sp />WITHOUT<sp />WARRANTIES<sp />OR<sp />CONDITIONS<sp />OF<sp />ANY</highlight></codeline>
<codeline lineno="15"><highlight class="comment"><sp />*<sp />KIND,<sp />either<sp />express<sp />or<sp />implied.<sp /><sp />See<sp />the<sp />License<sp />for<sp />the</highlight></codeline>
<codeline lineno="16"><highlight class="comment"><sp />*<sp />specific<sp />language<sp />governing<sp />permissions<sp />and<sp />limitations</highlight></codeline>
<codeline lineno="17"><highlight class="comment"><sp />*<sp />under<sp />the<sp />License.</highlight></codeline>
<codeline lineno="18"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="19"><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />H_IGNORE_</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#define<sp />H_IGNORE_</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="preprocessor">#define<sp />IGN_1(X)<sp />((void)(X))</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_2(X,<sp />...)<sp />((void)(X));IGN_1(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_3(X,<sp />...)<sp />((void)(X));IGN_2(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_4(X,<sp />...)<sp />((void)(X));IGN_3(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_5(X,<sp />...)<sp />((void)(X));IGN_4(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_6(X,<sp />...)<sp />((void)(X));IGN_5(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_7(X,<sp />...)<sp />((void)(X));IGN_6(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_8(X,<sp />...)<sp />((void)(X));IGN_7(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_9(X,<sp />...)<sp />((void)(X));IGN_8(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_10(X,<sp />...)<sp />((void)(X));IGN_9(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_11(X,<sp />...)<sp />((void)(X));IGN_10(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_12(X,<sp />...)<sp />((void)(X));IGN_11(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_13(X,<sp />...)<sp />((void)(X));IGN_12(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_14(X,<sp />...)<sp />((void)(X));IGN_13(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_15(X,<sp />...)<sp />((void)(X));IGN_14(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="47"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_16(X,<sp />...)<sp />((void)(X));IGN_15(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_17(X,<sp />...)<sp />((void)(X));IGN_16(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="49"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_18(X,<sp />...)<sp />((void)(X));IGN_17(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_19(X,<sp />...)<sp />((void)(X));IGN_18(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGN_20(X,<sp />...)<sp />((void)(X));IGN_19(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal" /><highlight class="preprocessor">#define<sp />GET_MACRO(_1,<sp />_2,<sp />_3,<sp />_4,<sp />_5,<sp />_6,<sp />_7,<sp />_8,<sp />_9,<sp />_10,<sp />_11,<sp />_12,<sp />\</highlight></codeline>
<codeline lineno="54"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />_13,<sp />_14,<sp />_15,<sp />_16,<sp />_17,<sp />_18,<sp />_19,<sp />_20,<sp />NAME,<sp />...)<sp />NAME</highlight><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IGNORE(...)<sp />\</highlight></codeline>
<codeline lineno="56"><highlight class="preprocessor"><sp /><sp /><sp /><sp />GET_MACRO(__VA_ARGS__,<sp />IGN_20,<sp />IGN_19,<sp />IGN_18,<sp />IGN_17,<sp />IGN_16,<sp />IGN_15,<sp />\</highlight></codeline>
<codeline lineno="57"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IGN_14,<sp />IGN_13,<sp />IGN_12,<sp />IGN_11,<sp />IGN_10,<sp />IGN_9,<sp />IGN_8,<sp />IGN_7,<sp />\</highlight></codeline>
<codeline lineno="58"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />IGN_6,<sp />IGN_5,<sp />IGN_4,<sp />IGN_3,<sp />IGN_2,<sp />IGN_1)(__VA_ARGS__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal">}</highlight></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/ignore.h" />
  </compounddef>
</doxygen>